/***************************************************************************
                          kcm_dhcpconfig.h  -  description
                             -------------------
    copyright            : (C) 2003 by Willy De la Court
                           Originally based on work done by
                           Copyright (c) 1998-1999 Karl Backstrm

    email                : willy.delacourt@pandora.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2 as     *
 *   published by the Free Software Foundation                             *
 *                                                                         *
 ***************************************************************************/

#ifndef _KCM_DHCPDCONFIG_H_
#define _KCM_DHCPDCONFIG_H_

#include <kcmodule.h>
#include <dhcpd_config.h>

class KCM_DHCPD_Config : public KCModule
{
	Q_OBJECT;
public:
	KCM_DHCPD_Config( QWidget *parent = 0, const char *name = 0 );

	void load();
	void save();
	void defaults();
	const KAboutData* aboutData() const;

private:
	DHCPD_Config  *m_dhcpd_config;
};

#endif
