/***************************************************************************
                          mylistviewitem.h  -  description
                             -------------------
    copyright            : (C) 2002 by Willy De la Court
    email                : willy.delacourt@pandora.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2 as     *
 *   published by the Free Software Foundation                             *
 *                                                                         *
 ***************************************************************************/

#ifndef _MYLISTVIEWITEM_H_
#define _MYLISTVIEWITEM_H_

#include <klistview.h>
#include "configwidget.h"

class MListViewItem: public KListViewItem
{

public:
	MListViewItem(QListView *parent, QString text, ConfigWidget *action);
	MListViewItem(QListView *parent, QString text, QString text2, ConfigWidget *action);
	MListViewItem(QListView *parent, QString text, QString text2, QString text3, ConfigWidget *action);
	MListViewItem(QListViewItem *parent, QString text, ConfigWidget *action);
	MListViewItem(QListViewItem *parent, QString text, QString text2, ConfigWidget *action);
	MListViewItem(QListView *parent, QListViewItem *after, QString text, QString text2, bool syntax);

	virtual ~MListViewItem();

	virtual void paintCell( QPainter *p, const QColorGroup &cg, int column, int width, int alignment );

	bool syntax_error;

	ConfigWidget *actionWidget;
};

#endif
