/***************************************************************************
                          mtextedit.cpp  -  description
                             -------------------
    copyright            : (C) 2002 by Willy De la Court
    email                : willy.delacourt@pandora.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2 as     *
 *   published by the Free Software Foundation                             *
 *                                                                         *
 ***************************************************************************/

#include "mtextedit.h"

// reimplemented sizehint because the default of trolltech are just stupid

QSize MTextEdit::sizeHint() const
{
    int h = fontMetrics().height();
    if ( h < 10 )
        h = 10;
    int f = 2 * frameWidth();
    return QSize( (12 * h) + f, (3 * h) + f );
}

#include "mtextedit.moc"
